Bug 2258162 - Review Request: rust-uu_readlink - readlink ~ (uutils) display resolved path of PATHNAME
Summary: Review Request: rust-uu_readlink - readlink ~ (uutils) display resolved path ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL: https://crates.io/crates/uu_readlink
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-01-12 23:18 UTC by Michel Lind
Modified: 2024-01-29 07:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-01-19 21:54:26 UTC
Type: ---
Embargoed:
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Michel Lind 2024-01-12 23:18:28 UTC
Spec URL: https://salimma.fedorapeople.org/specs/rust-uu_readlink.spec
SRPM URL: https://salimma.fedorapeople.org/specs/rust-uu_readlink-0.0.23-1.fc38.src.rpm

Description:
readlink ~ (uutils) display resolved path of PATHNAME.

Fedora Account System Username: salimma

Comment 1 Fedora Review Service 2024-01-12 23:26:21 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6889146
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2258162-rust-uu_readlink/fedora-rawhide-x86_64/06889146-rust-uu_readlink/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Fabio Valentini 2024-01-18 21:08:10 UTC
Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
? test suite is run and all unit tests pass (there are no tests)
- latest version of the crate is packaged
- license matches upstream specification and is acceptable for Fedora
- licenses of statically linked dependencies are correctly taken into account
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- add @rust-sig with "commit" access as package co-maintainer
  (should happen automatically)

- set bugzilla assignee overrides to @rust-sig (optional)

- track package in koschei for all built branches
  (should happen automatically once rust-sig is co-maintainer)

Comment 3 Fedora Admin user for bugzilla script actions 2024-01-19 21:42:45 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-uu_readlink

Comment 4 Fedora Update System 2024-01-19 21:50:39 UTC
FEDORA-2024-4f2650cb46 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2024-4f2650cb46

Comment 5 Fedora Update System 2024-01-19 21:54:26 UTC
FEDORA-2024-4f2650cb46 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2024-01-20 00:19:45 UTC
FEDORA-2024-a1860f9d26 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2024-a1860f9d26

Comment 7 Fedora Update System 2024-01-20 03:22:37 UTC
FEDORA-2024-68bbc290f9 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2024-68bbc290f9

Comment 8 Fedora Update System 2024-01-20 03:27:14 UTC
FEDORA-2024-68bbc290f9 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2024-01-20 03:51:56 UTC
FEDORA-2024-52bd841df8 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2024-52bd841df8

Comment 10 Fedora Update System 2024-01-20 03:51:57 UTC
FEDORA-2024-7a5b8db3ba has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2024-7a5b8db3ba

Comment 11 Fedora Update System 2024-01-21 04:16:13 UTC
FEDORA-2024-8ae4974bbe has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-8ae4974bbe \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-8ae4974bbe

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2024-01-21 04:54:12 UTC
FEDORA-2024-a1860f9d26 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-a1860f9d26 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-a1860f9d26

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2024-01-29 06:23:58 UTC
FEDORA-2024-8ae4974bbe has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2024-01-29 07:52:44 UTC
FEDORA-2024-a1860f9d26 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.